import request from "../request";

//照片统计
// export function getphotoList(data) {
//   return request({
//     url: "/xymanager/terminal/listWithPhoto",
//     method: "get",
//     params: data,
//   });
// }
//获取电压-线路-杆塔等信息

export function getSearchInfo(data) {
  return request({
    url: "/xymanager/getLineAndGt",
    method: "post",
    data,
  });
}
//获取实时图片数据
export function getphotoApi(data) {
  return request({
    url: "/xymanager/getPhotoList",
    method: "post",
    data,
  });
}
//获取心跳历史
export function getIpList(data) {
  return request({
    url: "/xymanager/terminal/heartbeat",
    method: "get",
    params: data,
  });
}

//获取装置状态统表
export function gettermAllList(data) {
  return request({
    url: "/xymanager/terminal/listWithAll",
    method: "get",
    params: data,
  });
}

//规约版本
export function getProtocolList(data) {
  return request({
    url: "/xymanager/getProtocolList",
    method: "get",
    params: data,
  });
}
//获取活动列表
export function getActivityApi(data) {
  return request({
    url: "/xymanager/activity/listAll",
    method: "get",
    params: data,
  });
}

//图片统计结果

export function getPhotoStatApi(data) {
  return request({
    url: "/xymanager/getPhotoStat",
    method: "post",
    data,
  });
}
